pkfilterascii(1)

NAME
pkfilterascii - program to filter data in an ASCII file

SYNOPSIS
pkfilterascii
-i input [-ic column] [options] [advanced options]

DESCRIPTION
pkfilterascii filters the columns defined by the option \FC-ic\F[]. A varietey of filters can be selected from with the option \FC-f\F[]. The kernel size is defined with the option \FC-dz\F[]. Alternatively, you can define your own filter tap values (use the option \FC-tapz\F[] for each tap). In case of spectral filtering, define the full width half max values (\FC-fwhm\F[] value) or spectral response functions in ASCII files (\FC-srf\F[] filename).

OPTIONS

\FC-i\F[] filename, \FC--input\F[] filename
    input ASCII file

\FC-o\F[] filename, \FC--output\F[] filename
    Output ASCII file

\FC-ic\F[] column, \FC--inputCols\F[] column
    input columns (e.g., for three dimensional input data in first three columns use: \FC-ic\F[] 0 \FC-ic\F[] 1 \FC-ic\F[] 2)

\FC-f\F[] filter, \FC--filter\F[] filter
    filter function (to be implemented: dwt, dwti,dwt_cut)

\FC-dz\F[] value, \FC--dz\F[] value
    filter kernel size in z (band or spectral dimension), must be odd (example: 3). Set dz>0 if 1-D filter must be used in band domain

\FC-t\F[], \FC--transpose\F[]
    transpose output with samples in rows and wavelengths in cols

\FC-v\F[] level, \FC--verbose\F[] level
    verbose

Advanced options

\FC-tapz\F[] value, \FC--tapz\F[] value
    taps used for spectral filtering

\FC-fwhm\F[] value, \FC--fwhm\F[] value
    list of full width half to apply spectral filtering (\FC-fwhm\F[] band1 \FC-fwhm\F[] band2 ...)

\FC-srf\F[] filename, \FC--srf\F[] filename
    list of ASCII files containing spectral response functions (two columns: wavelength response)

\FC-win\F[] col, \FC--wavelengthIn\F[] col
    column number of input ASCII file containing wavelengths

\FC-wout\F[] value, \FC--wavelengthOut\F[] value
    list of wavelengths in output spectrum (\FC-wout\F[] band1 \FC-wout\F[] band2 ...)

\FC-interp\F[] type, \FC--interp\F[] type
    type of interpolation for spectral filtering (see http://www.gnu.org/software/gsl/manual/html_node/Interpolation-Types.html)

\FC-wt\F[] type, \FC--wavelet\F[] type
    wavelet type: daubechies,daubechies_centered, haar, haar_centered, bspline, bspline_centered

\FC-wf\F[] family, \FC--wf\F[] family
    wavelet family (vanishing moment, see also http://www.gnu.org/software/gsl/manual/html_node/DWT-Initialization.html)

\FC-cut\F[] threshold, \FC--cut\F[] threshold
    threshold to cut dwt coefficients. Use 0 to keep all.